 IF EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HAMELIYAT]') AND name = N'IX_HAMELIYAT_HESAPISLID_YRDDRID1')
    BEGIN
	   CREATE NONCLUSTERED INDEX [IX_HAMELIYAT_HESAPISLID_YRDDRID1] ON [dbo].[HAMELIYAT]
	   (
		   [HESAPISLID] ASC,
		   [HAMELIYATID] ASC,
		   [YRDDRID1] ASC
	   )
	   INCLUDE ( 	[DURUM],HARISK) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = ON, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
    END
    ELSE
    BEGIN
	   CREATE NONCLUSTERED INDEX [IX_HAMELIYAT_HESAPISLID_YRDDRID1] ON [dbo].[HAMELIYAT]
	   (
		   [HESAPISLID] ASC,
		   [HAMELIYATID] ASC,
		   [YRDDRID1] ASC
	   )
	   INCLUDE ( 	[DURUM],HARISK) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
    END